package org.springblade.device.feign;

import org.springblade.device.entity.ElevatorAlarm;
import org.springblade.device.vo.ElevatorAlarmVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElevatorAlarmClientFallback implements IElevatorAlarmClient {
            /**
         * 详情
         */
        @Override
        public ElevatorAlarmVO detail(ElevatorAlarm elevatorAlarm) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<ElevatorAlarmVO> list(ElevatorAlarm elevatorAlarm) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( ElevatorAlarm elevatorAlarm) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( ElevatorAlarm elevatorAlarm) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( ElevatorAlarm elevatorAlarm) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public boolean updateById(@Valid ElevatorAlarm elevatorAlarm) {
		return false;
	}

	@Override
	public boolean getDirectorAndSendMsg(@Valid ElevatorAlarm elevatorAlarm) {
		return false;
	}

}
